# API update transaction documents

* This is the API used to update KYC virtual account information.
* API:
  * Path: *v2/col/transactions/:transId/documents*
  * Method: *PUT*
  * Request: Content-Type: *application/json*

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>colTransactionDataFile</td><td>String</td><td>N</td><td>Collection transaction data file (excel)</td></tr><tr><td>colLogisticAttachments</td><td>String Array</td><td>N</td><td>List of logistic tracking files (images and pdf)</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                      |
| ------------- | --------- | ---------------------------------------------------------------- |
| code          | Number    | Error code, refer to [table of error codes](#../error-codes.md). |
| message       | String    | Error description.                                               |
| neoResponseId | String    | The ID of NeoX response.                                         |
